<template>
    <v-flex xs6 md3 class="box">
        <span class="label">{{ clabel }}: </span>
        <span class="content">{{ edad }}</span>
    </v-flex>
</template>

<script>
import moment from 'moment'

export default {
    name: 'FieldDate',
    props: {
        contenido: Date,
        clabel: String
    },
    computed: {
        edad: function () {
            let age = moment().diff(this.contenido, 'years', false) + ' años'
            if (age > '1'){
                return age;
            } else {
                return moment().diff(this.contenido, 'months', false) + ' meses';
            }
        },
    },
}
</script>

<style>
.box {
    margin-bottom: 20px
}

.label {
    display: block;
    color: whitesmoke;
    background: #55C2E2;
    padding: 10px;
    margin-right: 10px;
    font-size: 14px;
}

.content {
    display: block;
    background: white;
    padding: 10px;
    font-size: 15px;
}
</style>
